.TH UCM 1
.SH NAME
ucm \- Unicode Character Map
.SH SYNOPSIS
.B ucm
.RI [ options ]
.SH DESCRIPTION
The
.B ucm
utility displays a character map using a Unicode font.  Clicking any
character selects it, which allows pasting arbitrary Unicode
characters into other applications.  Pasting a string selects its
first character, which allows identification of characters displayed
in other applications.

.B Ucm
prefers to transfer selections as 
.BR UTF8_STRING ;
if that fails, it falls back to 
.BR COMPOUND_TEXT ,
and finally to 
.BR STRING .
.B COMPOUND_TEXT
is only supported if compiled against XFree86 4.0.2 or later.


.SH OPTIONS
All standard toolkit options are accepted.

.TP 8
.B \-fn
sets the
.B font
resource of the
.B grid
widget, which should be a Unicode-encoded font (identified by a
.B CHARSET
specified as
.BR ISO10646-1 ).

.SH RESOURCES
The widget that displays the character grid has name
.BR grid ,
and class
.BR UGrid .
It supports the following resources.
.TP 8
.B font
the font to use for the character grid.  This should be a
Unicode-encoded font.
.TP 8
.B gridColor
the colour of the lines around the glyphs.
.TP 8
.B gridWidth
the width of the lines around the glyphs.  0 means don't draw, 1 means
use thin lines.
.B

.SH ACTIONS
.TP 8
.B Quit()
quit the application.
.TP 8
.B Prev()
turn to the previous 256-codepoint page.
.TP 8
.B Next()
turn to the next 256-codepoint page.
.TP 8
.B Clear()
clear the selection.

.SH SEE ALSO
xterm(1), xfd(1), X(1).

.SH BUGS
Only the codepoint of the selected character is displayed, not the
full character name.

Cut buffers are not supported (this is actually a feature).

.SH AUTHOR
Juliusz Chroboczek <jch@xfree86.org>
